Docs
API reference

Connectors

Download spec

List connectors

GET
/connectors

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from Settings → Developers → API keys.

Response Body

Success. Writes without read permission return an ID and revision only.

application/json
  1. response
connectors*array<>
permissions*array<>
Example Request
curl -X GET 'https://app.italic.com/api/v2/connectors'
Example Response
{
  "connectors": [
    {
      "id": "string",
      "name": "string",
      "accounts": [
        {
          "id": "string",
          "label": "string",
          "email": "string",
          "status": "string"
        }
      ]
    }
  ],
  "permissions": [
    {
      "tool": "send_email",
      "label": "string",
      "mode": "ask",
      "accounts": {
        "property1": "ask",
        "property2": "ask"
      }
    }
  ]
}

Set a permission

PUT
/connectors/permissions/{tool}

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from Settings → Developers → API keys.

Path Parameters

tool*string
Value in"send_email""create_event""create_reminder""create_notion_page""send_slack_message""save_to_drive"

Request Body

application/json
  1. body
mode*string

ask: drafts wait for approval. allow: Italic acts without asking. off: the app is not used.

Value in"ask""allow""off"

Response Body

Success. Writes without read permission return an ID and revision only.

application/json
  1. response
permission*
Example Request
curl -X PUT 'https://app.italic.com/api/v2/connectors/permissions/send_email' \
  -H 'Content-Type: application/json' \
  -d '{
  "mode": "ask"
}'
Example Response
{
  "permission": {
    "tool": "send_email",
    "label": "string",
    "mode": "ask",
    "accounts": {
      "property1": "ask",
      "property2": "ask"
    }
  }
}
PUT
/connectors/permissions/{tool}/accounts/{accountId}

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from Settings → Developers → API keys.

Path Parameters

tool*string
Value in"send_email""create_event""create_reminder""create_notion_page""send_slack_message""save_to_drive"
accountId*string
Match^[A-Za-z0-9][A-Za-z0-9._:-]*$
Length1 <= length <= 256

Request Body

application/json
  1. body
mode*string

As for the app's permission; default uses the app's.

Value in"ask""allow""off""default"

Response Body

Success. Writes without read permission return an ID and revision only.

application/json
  1. response
permission*
Example Request
curl -X PUT 'https://app.italic.com/api/v2/connectors/permissions/send_email/accounts/string' \
  -H 'Content-Type: application/json' \
  -d '{
  "mode": "ask"
}'
Example Response
{
  "permission": {
    "tool": "send_email",
    "label": "string",
    "mode": "ask",
    "accounts": {
      "property1": "ask",
      "property2": "ask"
    }
  }
}

Disconnect an account

DELETE
/connectors/accounts/{id}

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from Settings → Developers → API keys.

Path Parameters

id*string
Match^[A-Za-z0-9][A-Za-z0-9._:-]*$
Length1 <= length <= 256

Response Body

Success. Writes without read permission return an ID and revision only.

application/json
  1. response
id*string
Match^[A-Za-z0-9][A-Za-z0-9._:-]*$
Length1 <= length <= 256
deleted*boolean
Example Request
curl -X DELETE 'https://app.italic.com/api/v2/connectors/accounts/string'
Example Response
{
  "id": "string",
  "deleted": true
}